WEB2LDAP(1)

NAME
web2ldap - web interface for LDAP which is also useful on the command line

SYNOPSIS
web2ldap [-h] [-?] [-d on/off] [-t on/off] [-s on/off] [-l [[hostname:]port]] [-u numeric uid|username]

DESCRIPTION

This manual page documents web2ldap. web2ldap is a full-featured web-based generic LDAPv3 client featuring an interface accessing and manipulating LDAP servers without the need for configuration. web2ldap has a clean login behavior and includes a schema browser which displays references/dependencies within an LDAPv3 schema.

web2ldap code makes no assumptions about the tree structure or LDAP schema and can also be used as a customizable platform for prototyping LDAP administration use-cases.

OPTIONS

-h
-?  Print the help message.

-d on/off
    If set to off, web2ldap does not detach from the console after it was invoked. Default: on

-t on/off
    Run multi-threaded HTTP server. If this fails, web2ldap falls back to running a single-threded HTTP server. Default: on

-s on/off
    Run with SSL or not. Default: off

-l [hostname:]port
    Listen to hostname:port. Either hostname:port or port is allowed. Default: your hostname:1760

-l numeric uid or username
    Switch to given UID or username after binding to socket. Default: Current UID if not started as root. nobody if started as root.

AUTHOR
web2ldap was written by Michael Ströder <michael@stroeder.com>. This man page was created by Marc Haber <mh+debian-packages@zugschlus.de> during the process of packaging web2ldap for Debian/GNU Linux